monolog:
    handlers:
        main:
            # type: fingers_crossed
            # action_level: error
            # handler: nested
            # excluded_404s:
            #     # regex: exclude all 404 errors from the logs
            #     - ^/
            type:  rotating_file
            path:  '%kernel.logs_dir%/%kernel.environment%.log'
            level: debug
            # max number of log files to keep
            # defaults to zero, which means infinite files
            max_files: 31
        nested:
            type: stream
            path: "%kernel.logs_dir%/%kernel.environment%.log"
            level: debug
        syslog_handler:
            type: syslog
            # log error-level messages and higher
            level: error
        console:
            type: console
            process_psr_3_messages: false
            channels: ["!event", "!doctrine"]
        deprecation:
            type: stream
            path: "%kernel.logs_dir%/%kernel.environment%.deprecations.log"
        deprecation_filter:
            type: filter
            handler: deprecation
            max_level: info
            channels: ["php"]
        es:
            type: service
            id: App\Services\ElasticsearchLogstashHandlerImp
            channels: ["!http_client", "!php", "!cache", "!console"]
